My Oracle Support Banner

Start.sh Fails With Syntax Error After Upgrade From 12.2.1.1.0 To 12.2.1.4.0 (Doc ID 2553849.1)

Last updated on AUGUST 12, 2019

Applies to:

Business Intelligence Server Enterprise Edition - Version 12.2.1.4.0 and later
Information in this document applies to any platform.

Symptoms

On :OBIEE  12.2.1.4.0 version, Analytics

start.sh fails with error after upgrade from OBIEE 12.2.1.1.0 to 12.2.1.4.0

Running start.sh getting the below error.
OBIEE12c@obiee@xyz:/app/biprd/p04/Middleware/Oracle_Home/user_projects/domains/bi12c/bitools/bin
> ./start.sh
/app/biprd/p04/Middleware/Oracle_Home_1213fmw/bi/modules/oracle.bi.sysman/scripts/start.sh: line 43: conditional binary operator expected
/app/biprd/p04/Middleware/Oracle_Home_1213fmw/bi/modules/oracle.bi.sysman/scripts/start.sh: line 43: syntax error near `=~'
/app/biprd/p04/Middleware/Oracle_Home_1213fmw/bi/modules/oracle.bi.sysman/scripts/start.sh: line 43: ` if ! [[ "$tempMaxRestartValue" =~ ^[0-9]+$ ]] '
OBIEE12c@obiee@xyz:/app/biprd/p04/Middleware/Oracle_Home/user_projects/domains/bi12c/bitools/bin
>


Cause

To view full details, sign in with your My Oracle Support account.

Don't have a My Oracle Support account? Click to get started!


In this Document
Symptoms
Cause
Solution
References


My Oracle Support provides customers with access to over a million knowledge articles and a vibrant support community of peers and Oracle experts.